Summary: 	Qt based patchbay for Jack
Name: 		qjackconnect
Version: 	0.0.3b
Release: 	%mkrel 11
License:	GPL
Group: 		Sound
URL:		http://www.suse.de/~mana/jack.html
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	jackit >= 0.44.0
BuildRequires:	jackit-devel >= 0.44.0, libalsa-devel qt3-devel

%description
A Qt based patchbay for Jack (the Jack Audio Connection Kit)

%prep
%setup -q

%build
make QT_LIB_DIR=$QTDIR/%_lib -f make_qjackconnect

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 qjackconnect $RPM_BUILD_ROOT/%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Qjackconnect
Comment=Qt-based Jackit Connector
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=Qt;X-MandrivaLinux-Multimedia-Sound;Audio;
Encoding=UTF-8
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.3b-11mdv2009.0
+ Revision: 259952
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.3b-10mdv2009.0
+ Revision: 247772
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.3b-8mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Emmanuel Andry <eandry@mandriva.org>
    - Import qjackconnect



* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.3b-8mdv2007.0
- Rebuild
- xdg menu

* Thu Jan 19 2006 Buchan Milne <bgmilne@mandriva.org> 0.0.3b-7mdk
- fix build on x86_64
- %%mkrel

* Tue Sep 06 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-6mdk
- annual rebuild

* Sat Jun 19 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-5mdk
- rebuild

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 0.0.3b-4mdk
- add icon

* Fri Apr 25 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-3mdk
- Buildrequire libqt3-devel (thx slbd) - that's a really stupid one!

* Thu Jan 30 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.3b-2mdk
- thac->contrib
- misc fixes
- buildrequires libalsa-devel, don't buildrequires jackit
- add menu entry

* Sat Jan 11 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.0.3b-1mdk
- update to 0.0.3b
- Recompiled for Mandrake 9.0

* Wed Dec 04 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.0.3-1
- update to 0.0.3

* Mon Nov 11 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- initial build
